EDIT - bug #7189

Taxeditor connect dialog high-dpi suport
01/16/2018 02:07 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

With increased dpi for the system fonts as it is needed for high dpi displays the connect elementd do overlap:

ED » Connect v D

s

CDM Server: | edit-prod ~ _ Refresh

CDMInstance: | fnpq rantral.afrie: _ Refreach

Login: Password : Connect

B Remember Me
» advanced

| seems as if the heights in the dialog are set to fixed pixel values. Instead the heights should adapt, depend on the fontsize.

Interesting source:

https://www.slideshare.net/da152/swt-scalingece2014-aktuell

Related issues:
Has duplicate EDIT - bug #8536: Connect Dialog: Ul elements exceed the availa...

Duplicate

Associated revisions

Revision f919df55 - 05/20/2020 03:24 PM - Andreas Kohlbecker

ref #7189 Connect dialog resizable and allowing for automatic size calculation

Revision 91736608 - 05/25/2020 02:42 PM - Andreas Kohlbecker

ref #7189 improving & cleaning up size calculation of login dialog

Revision 02d289c¢7 - 05/25/2020 03:50 PM - Andreas Kohlbecker

ref #7189 improving & cleaning up size calculation of login dialog - cleaning up

Revision 5d5e74b3 - 06/08/2020 04:11 PM - Andreas Kohlbecker

ref #7189 fixing layout issues with empty cells in grid

Revision 20f5abe9 - 06/09/2020 04:49 PM - Andreas Kohlbecker

ref #7189 resetting remote login dialog to default font sizes

History

#1 - 03/27/2020 03:44 PM - Andreas Kohlbecker

- Has duplicate bug #8536: Connect Dialog: Ul elements exceed the available space added
https://www.slideshare.net/da152/swt-scalingece2014-aktuell

#2 - 03/27/2020 03:45 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

#3 - 03/27/2020 03:46 PM - Andreas Kohlbecker
- File picture933-1.png added

- Assignee changed from Katja Luther to Andreas Mdiller

The same probelm exists in windows 10:

IVerbinden X
CDM-Server : cybertaxonomy.orc v | Verfligbar Aktualisie
Datenbank : |auromed ..z | Nicht komr‘:a1| Alctualisie
Login | admin Kennwort:  eeeecceeee fer |

[v| Loain Daten merken Standard: admin (Loain). 00000 (Ken L
Bitte aktualisieren Sie den Taxonomic Editor

(Hifle->Suche nach Undates) oder wahlen Sie

» Fruwaitart
T T

(Windows 10 at text size 150%)

#4 - 03/27/2020 03:46 PM - Andreas Kohlbecker

- Assignee changed from Andreas Muiller to Katja Luther

#5 - 05/20/2020 03:22 PM - Andreas Kohlbecker

- Status changed from New to In Progress

- Assignee changed from Katja Luther to Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.15

#6 - 05/20/2020 03:29 PM - Andreas Kohlbecker
- Status changed from In Progress to Feedback
- Assignee changed from Andreas Kohlbecker to Katja Luther
- % Done changed from 0 to 40
this issue is mainly fixed. Only the width of the comboboxes is a bit too wide.
| left inactivated lines commented in the code, These should be deleted finally !!!!
@Katja: do you have an idea how the size of the comboboxes can be restricted without breaking the automatic layout and size calculation
#7 - 06/09/2020 11:14 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Kohlbecker
Andreas Kohlbecker wrote:
this issue is mainly fixed. Only the width of the comboboxes is a bit too wide.
| left inactivated lines commented in the code, These should be deleted finally !!!!

@Katja: do you have an idea how the size of the comboboxes can be restricted without breaking the automatic layout and size calculation

no, sorry. If you set widthHint, then it is not resized and it is only possible to set a minimum width.

#8 - 06/09/2020 03:16 PM - Andreas Kohlbecker
Im code ist mir aufgefallen dass Cherian die Ubuntu Fontfamilie verwendet. ich nehme an um die SchriftgroBe setzen zu kénnen.
Da gibt es doch sicher bessere Wege als eine auf vielen Systemen nicht exisiterende Schrift zu verwenden:

private static final String UBUNTU = "Ubuntu"; //$NON-NLS-1$
lblCdmServer.setFont (SWTResourceManager.getFont (UBUNTU, 9, SWT.NORMAL)) ;

#9 - 06/09/2020 03:24 PM - Andreas Kohlbecker

I think we just should remove all this programmatic setting of font sizes as they are centrally managed via the settings in eclipse rcp

#10 - 06/09/2020 04:56 PM - Andreas Kohlbecker
- Status changed from Feedback to Resolved
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- % Done changed from 40 to 50

| consider this as fixed, please review.

#11 - 06/16/2020 11:34 AM - Andreas Miiller

- Description updated

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- % Done changed from 50 to 100

This is generally fixed. Only issue is that the recalculation of the layout sometimes stocks in the middle while data is loaded. This looks no so nice but
is not critical.
We may want to try to fix this later.

An interesting source on how to scale swt layouts is: https:/www.slideshare.net/da152/swt-scalingece2014-aktuell

#12 - 06/16/2020 11:35 AM - Andreas Miuiller
| tested with 100%, 125%, 150% and 175% on a windows machine

Files
picture271-1.png 20.8 KB 01/16/2018 Andreas Kohlbecker
picture933-1.png 16.7 KB 03/27/2020 Andreas Kohlbecker
